跳转到主要内容
GET
/
datasets
/
{dataset_id}
/
pipeline
/
datasource-plugins
Error
A valid request URL is required to generate request examples
[
  {
    "node_id": "1719288585006",
    "plugin_id": "langgenius/notion_datasource",
    "provider_name": "notion",
    "datasource_type": "online_document",
    "title": "Notion Documents",
    "user_input_variables": [],
    "credentials": [
      {
        "id": "c1d2e3f4-a5b6-7890-abcd-ef1234567890",
        "name": "Production Notion",
        "type": "api-key",
        "is_default": true
      }
    ]
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.dify.ai/llms.txt

Use this file to discover all available pages before exploring further.

授权

Authorization
string
header
必填

API Key 认证。对于所有 API 请求,请在 Authorization HTTP 头中包含您的 API Key,并加上 Bearer 前缀。示例:Authorization: Bearer {API_KEY}强烈建议将 API Key 存储在服务端,不要在客户端共享或存储,以避免 API Key 泄漏导致严重后果。

路径参数

dataset_id
string<uuid>
必填

知识库 ID。

查询参数

is_published
boolean
默认值:true

获取已发布还是草稿流水线中的节点。true 返回已发布版本中的节点,false 返回草稿版本中的节点。

响应

流水线中已配置的数据源节点列表。

node_id
string

流水线工作流中数据源节点的 ID。调用 执行数据源节点 时作为 node_id 传入,或调用 运行流水线 时作为 start_node_id 传入。

plugin_id
string

提供该节点的数据源插件的 ID。

provider_name
string

数据源插件注册的提供商名称。

datasource_type
string

数据源类型。取值为 local_fileonline_documentonline_drivewebsite_crawl 之一。

title
string

为该节点配置的显示标题。

user_input_variables
object[]

调用方需要为该数据源提供的流水线输入变量,来自节点数据源参数中 {{#...#}} 引用的变量。每一项遵循工作流使用的流水线变量结构。

credentials
object[]

可用于对该数据源进行认证的凭证列表。